<!-- global spinner -->
<app-spinner *ngIf="!initialized" class="app-global-spinner"></app-spinner>

<!-- summary -->
<app-table-summary
  (reload)="getData()"
  [lastUpdate]="lastUpdate"
  [total]="total"
  title="ACCESS HISTORY"
  subTitle="LAST 24H"
>
  <!-- admin icon -->
  <app-icon-refresh-doc icon></app-icon-refresh-doc>
</app-table-summary>

<!-- actions -->
<app-table-actions
  (filterApply)="onFilterApplied($event)"
  [(viewType)]="viewType"
  [filterConfigs]="filterConfigs"
  [filters]="filters"
  [viewTypes]="viewTypes"
></app-table-actions>

<!-- table -->
<app-access-history-table
  (pagingChange)="onPagingChanged($event)"
  (sortsChange)="onSortsChanged($event)"
  [data]="data"
  [loading]="loading"
  [page]="page"
  [size]="size"
  [total]="total"
></app-access-history-table>
